'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _dotenv = require('dotenv');

var _dotenv2 = _interopRequireDefault(_dotenv);

var _googleapis = require('googleapis');

var _googleapis2 = _interopRequireDefault(_googleapis);

var _es6Promisify = require('es6-promisify');

var _es6Promisify2 = _interopRequireDefault(_es6Promisify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = async function getRawGoogleDoc(googleDocId) {
  _dotenv2.default.load({ silent: true });
  const drive = _googleapis2.default.drive('v3');

  const jwtClient = new _googleapis2.default.auth.JWT(process.env.CLIENT_EMAIL, null, Buffer.from(process.env.PRIVATE_KEY, 'base64').toString('ascii'), ['https://www.googleapis.com/auth/drive'], process.env.CLIENT_EMAIL_IMPERSONATE);

  jwtClient.authorize(jwtClientErr => {
    if (jwtClientErr) {
      console.log('jwtClientErr', jwtClientErr);
    }
  });

  const rawGoogleDoc = await (0, _es6Promisify2.default)(drive.files.export)({
    fileId: googleDocId, // A Google Doc
    auth: jwtClient,
    mimeType: 'text/html'
  }).then((resp, err) => {
    if (err) {
      console.log('Error during download', err);
      return true;
    }
    return resp;
  });

  return rawGoogleDoc;
};
//# sourceMappingURL=get-raw-google-doc.js.map