'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cheerio = require('cheerio');

var _cheerio2 = _interopRequireDefault(_cheerio);

var _getRawGoogleDoc = require('./get-raw-google-doc');

var _getRawGoogleDoc2 = _interopRequireDefault(_getRawGoogleDoc);

var _sanitizeDoc = require('./sanitize-doc');

var _sanitizeDoc2 = _interopRequireDefault(_sanitizeDoc);

var _transformDoc = require('./transform-doc');

var _transformDoc2 = _interopRequireDefault(_transformDoc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = async (googleDocId, options) => {
  const rawGoogleDoc = await (0, _getRawGoogleDoc2.default)(googleDocId);
  const $ = _cheerio2.default.load(rawGoogleDoc);

  const sanitizedDoc = await (0, _sanitizeDoc2.default)($('body').html());
  return (0, _transformDoc2.default)(sanitizedDoc, options);
};
//# sourceMappingURL=index.js.map