'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cheerio = require('cheerio');

var _cheerio2 = _interopRequireDefault(_cheerio);

var _stringReplaceAsync = require('string-replace-async');

var _stringReplaceAsync2 = _interopRequireDefault(_stringReplaceAsync);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = async function parseDoc(doc, options) {
  const $ = _cheerio2.default.load(doc);

  // render markup (anything surrounded by ``` markup here ```) as HTML
  const markupRegex = /`{3}(.+?)`{3}/g;
  const withMarkupHTML = await (0, _stringReplaceAsync2.default)($('body').html(), markupRegex, async (match, markup) => markup.replace(/<p>/g, '').replace(/<\/p>/g, '').replace(/&lt;/g, '<').replace(/&gt;/g, '>').replace(/&quot;/g, '\'').replace(/&#x201C;/g, '\'').replace(/&#x201D;/g, '\''));
  $('body').html(withMarkupHTML);

  // process annotations
  if (options && options.transform) {
    const annotationRegex = /\[{3}(.+?)\]{3}\s*\[{2}(.+?)(\|(.+?))?\]{2}/g;
    const transformedHTML = await (0, _stringReplaceAsync2.default)($('body').html(), annotationRegex, async (match, contentReference, annotation, x, label) => options.transform(contentReference, annotation, label));
    $('body').html(transformedHTML);
  }

  return $.html();
};
//# sourceMappingURL=transform-doc.js.map